net.minecraft.client.gui

## Class GuiIngame

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiIngame

- Direct Known Subclasses:
    GuiIngameForge

      public class GuiIngame
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ItemStack` | `highlightingItemStack`
    `protected static RenderItem` | `itemRenderer`
    `protected Minecraft` | `mc`
    `protected GuiNewChat` | `persistantChatGUI`
    `float` | `prevVignetteBrightness`
    `protected static ResourceLocation` | `pumpkinBlurTexPath`
    `protected java.util.Random` | `rand`
    `protected boolean` | `recordIsPlaying`
    `protected java.lang.String` | `recordPlaying`
    `protected int` | `recordPlayingUpFor`
    `protected int` | `remainingHighlightTicks`
    `protected int` | `updateCounter`
    `protected static ResourceLocation` | `vignetteTexPath`
    `protected static ResourceLocation` | `widgetsTexPath`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiIngame(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_110326_a(java.lang.String par1Str, boolean par2)`
    `protected void` | `func_110327_a(int par1, int par2)`
    `protected void` | `func_130015_b(float par1, int par2, int par3)`
    `protected void` | `func_96136_a(ScoreObjective par1ScoreObjective, int par2, int par3, FontRenderer par4FontRenderer)`
    `GuiNewChat` | `getChatGUI()`
    `int` | `getUpdateCounter()`
    `protected void` | `renderBossHealth()`
    `void` | `renderGameOverlay(float par1, boolean par2, int par3, int par4)`
    `protected void` | `renderInventorySlot(int par1, int par2, int par3, float par4)`
    `protected void` | `renderPumpkinBlur(int par1, int par2)`
    `protected void` | `renderVignette(float par1, int par2, int par3)`
    `void` | `setRecordPlayingMessage(java.lang.String par1Str)`
    `void` | `updateTick()`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vignetteTexPath

          protected static final ResourceLocation vignetteTexPath

    - #### widgetsTexPath

          protected static final ResourceLocation widgetsTexPath

    - #### pumpkinBlurTexPath

          protected static final ResourceLocation pumpkinBlurTexPath

    - #### itemRenderer

          protected static final RenderItem itemRenderer

    - #### rand

          protected final java.util.Random rand

    - #### mc

          protected final Minecraft mc

    - #### persistantChatGUI

          protected final GuiNewChat persistantChatGUI

    - #### updateCounter

          protected int updateCounter

    - #### recordPlaying

          protected java.lang.String recordPlaying

    - #### recordPlayingUpFor

          protected int recordPlayingUpFor

    - #### recordIsPlaying

          protected boolean recordIsPlaying

    - #### prevVignetteBrightness

          public float prevVignetteBrightness

    - #### remainingHighlightTicks

          protected int remainingHighlightTicks

    - #### highlightingItemStack

          protected ItemStack highlightingItemStack

  - ### Constructor Detail

    - #### GuiIngame

          public GuiIngame(Minecraft par1Minecraft)

  - ### Method Detail

    - #### renderGameOverlay

          public void renderGameOverlay(float par1,
                               boolean par2,
                               int par3,
                               int par4)

    - #### func_96136_a

          protected void func_96136_a(ScoreObjective par1ScoreObjective,
                          int par2,
                          int par3,
                          FontRenderer par4FontRenderer)

    - #### func_110327_a

          protected void func_110327_a(int par1,
                           int par2)

    - #### renderBossHealth

          protected void renderBossHealth()

    - #### renderPumpkinBlur

          protected void renderPumpkinBlur(int par1,
                               int par2)

    - #### renderVignette

          protected void renderVignette(float par1,
                            int par2,
                            int par3)

    - #### func_130015_b

          protected void func_130015_b(float par1,
                           int par2,
                           int par3)

    - #### renderInventorySlot

          protected void renderInventorySlot(int par1,
                                 int par2,
                                 int par3,
                                 float par4)

    - #### updateTick

          public void updateTick()

    - #### setRecordPlayingMessage

          public void setRecordPlayingMessage(java.lang.String par1Str)

    - #### func_110326_a

          public void func_110326_a(java.lang.String par1Str,
                           boolean par2)

    - #### getChatGUI

          public GuiNewChat getChatGUI()

    - #### getUpdateCounter

          public int getUpdateCounter()